- Main Page
- Classes
- Files
- Directories
- Related Pages

- File List
- File Members

# ogr_srs_api.h File Reference

`#include "ogr_core.h"`

Go to the source code of this file.

## Functions
OGRErr | OSRImportFromWkt (OGRSpatialReferenceH, char **)
OGRErr CPL_STDCALL | OSRExportToWkt (OGRSpatialReferenceH, char **)
OGRErr | OSRSetACEA (OGRSpatialReferenceH hSRS, double dfStdP1, double dfStdP2, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetAE (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetBonne (OGRSpatialReferenceH hSRS, double dfStandardParallel, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetCEA (OGRSpatialReferenceH hSRS, double dfStdP1, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetCS (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetEC (OGRSpatialReferenceH hSRS, double dfStdP1, double dfStdP2, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetEckert (OGRSpatialReferenceH hSRS, int nVariation, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetEckertIV (OGRSpatialReferenceH hSRS, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetEckertVI (OGRSpatialReferenceH hSRS, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetEquirectangular (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetGS (OGRSpatialReferenceH hSRS, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetGH (OGRSpatialReferenceH hSRS, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetGEOS (OGRSpatialReferenceH hSRS, double dfCentralMeridian, double dfSatelliteHeight, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetGnomonic (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetHOM (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfAzimuth, double dfRectToSkew, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetHOM2PNO (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfLat1, double dfLong1, double dfLat2, double dfLong2, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetKrovak (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfAzimuth, double dfPseudoStdParallelLat, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetLAEA (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetLCC (OGRSpatialReferenceH hSRS, double dfStdP1, double dfStdP2, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetLCC1SP (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetLCCB (OGRSpatialReferenceH hSRS, double dfStdP1, double dfStdP2, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetMC (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetMercator (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetMollweide (OGRSpatialReferenceH hSRS, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetNZMG (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetOS (OGRSpatialReferenceH hSRS, double dfOriginLat, double dfCMeridian, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetOrthographic (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetPolyconic (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetPS (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetRobinson (OGRSpatialReferenceH hSRS, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetSinusoidal (OGRSpatialReferenceH hSRS, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetStereographic (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetSOC (OGRSpatialReferenceH hSRS, double dfLatitudeOfOrigin, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetTM (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetTMVariant (OGRSpatialReferenceH hSRS, const char *pszVariantName, double dfCenterLat, double dfCenterLong, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetTMG (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetTMSO (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetVDG (OGRSpatialReferenceH hSRS, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
char ** | OPTGetProjectionMethods ()
char ** | OPTGetParameterList (const char *pszProjectionMethod, char **ppszUserName)
int | OPTGetParameterInfo (const char *pszProjectionMethod, const char *pszParameterName, char **ppszUserName, char **ppszType, double *pdfDefaultValue)

## Detailed Description

C spatial reference system services and defines.

See also: ogr_spatialref.h

## Function Documentation

int OPTGetParameterInfo | ( | const char * | pszProjectionMethod,
|  | const char * | pszParameterName,
|  | char ** | ppszUserName,
|  | char ** | ppszType,
|  | double * | pdfDefaultValue |
| ) |  |  |

Fetch information about a single parameter of a projection method.

Parameters:

  | pszProjectionMethod | name of projection method for which the parameter applies. Not currently used, but in the future this could affect defaults. This is the internal projection method name, such as "Tranverse_Mercator".
  | pszParameterName | name of the parameter to fetch information about. This is the internal name such as "central_meridian" (SRS_PP_CENTRAL_MERIDIAN).
  | ppszUserName | location at which to return the user visible name for the parameter. This pointer may be NULL to skip the user name. The returned name should not be modified or freed.
  | ppszType | location at which to return the parameter type for the parameter. This pointer may be NULL to skip. The returned type should not be modified or freed. The type values are described above.
  | pdfDefaultValue | location at which to put the default value for this parameter. The pointer may be NULL.

Returns:
  TRUE if parameter found, or FALSE otherwise.

char** OPTGetParameterList | ( | const char * | pszProjectionMethod,
|  | char ** | ppszUserName |
| ) |  |  |

Fetch the parameters for a given projection method.

Parameters:

  | pszProjectionMethod | internal name of projection methods to fetch the parameters for, such as "Transverse_Mercator" (SRS_PT_TRANSVERSE_MERCATOR).
  | ppszUserName | pointer in which to return a user visible name for the projection name. The returned string should not be modified or freed by the caller. Legal to pass in NULL if user name not required.

Returns:
  returns a NULL terminated list of internal parameter names that should be freed by the caller when no longer needed. Returns NULL if projection method is unknown.

char** OPTGetProjectionMethods | ( |  | ) |

Fetch list of possible projection methods.

Returns:
  Returns NULL terminated list of projection methods. This should be freed with CSLDestroy() when no longer needed.

OGRErr CPL_STDCALL OSRExportToWkt | ( | OGRSpatialReferenceH | hSRS,
|  | char ** | ppszReturn |
| ) |  |  |

Convert this SRS into WKT format.

This function is the same as OGRSpatialReference::exportToWkt().

OGRErr OSRImportFromWkt | ( | OGRSpatialReferenceH | hSRS,
|  | char ** | ppszInput |
| ) |  |  |

Import from WKT string.

This function is the same as OGRSpatialReference::importFromWkt().

OGRErr OSRSetACEA | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfStdP1,
|  | double | dfStdP2,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Albers Conic Equal Area

OGRErr OSRSetAE | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Azimuthal Equidistant

OGRErr OSRSetBonne | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfStandardParallel,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Bonne

OGRErr OSRSetCEA | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfStdP1,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Cylindrical Equal Area

OGRErr OSRSetCS | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Cassini-Soldner

OGRErr OSRSetEC | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfStdP1,
|  | double | dfStdP2,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Equidistant Conic

OGRErr OSRSetEckert | ( | OGRSpatialReferenceH | hSRS,
|  | int | nVariation,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Eckert I-VI

OGRErr OSRSetEckertIV | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Eckert IV

OGRErr OSRSetEckertVI | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Eckert VI

OGRErr OSRSetEquirectangular | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Equirectangular

OGRErr OSRSetGEOS | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCentralMeridian,
|  | double | dfSatelliteHeight,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

GEOS - Geostationary Satellite View

OGRErr OSRSetGH | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Goode Homolosine

OGRErr OSRSetGnomonic | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Gnomonic

OGRErr OSRSetGS | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Gall Stereograpic

OGRErr OSRSetHOM | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfAzimuth,
|  | double | dfRectToSkew,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Hotine Oblique Mercator using azimuth angle

OGRErr OSRSetHOM2PNO | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfLat1,
|  | double | dfLong1,
|  | double | dfLat2,
|  | double | dfLong2,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Hotine Oblique Mercator using two points on centerline

OGRErr OSRSetKrovak | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfAzimuth,
|  | double | dfPseudoStdParallelLat,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Krovak Oblique Conic Conformal

OGRErr OSRSetLAEA | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Lambert Azimuthal Equal-Area

OGRErr OSRSetLCC | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfStdP1,
|  | double | dfStdP2,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Lambert Conformal Conic

OGRErr OSRSetLCC1SP | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Lambert Conformal Conic 1SP

OGRErr OSRSetLCCB | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfStdP1,
|  | double | dfStdP2,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Lambert Conformal Conic (Belgium)

OGRErr OSRSetMC | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Miller Cylindrical

OGRErr OSRSetMercator | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Mercator

OGRErr OSRSetMollweide | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Mollweide

OGRErr OSRSetNZMG | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

New Zealand Map Grid

OGRErr OSRSetOrthographic | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Orthographic

OGRErr OSRSetOS | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfOriginLat,
|  | double | dfCMeridian,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Oblique Stereographic

OGRErr OSRSetPolyconic | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Polyconic

OGRErr OSRSetPS | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Polar Stereographic

OGRErr OSRSetRobinson | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Robinson

OGRErr OSRSetSinusoidal | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Sinusoidal

OGRErr OSRSetSOC | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfLatitudeOfOrigin,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Swiss Oblique Cylindrical

OGRErr OSRSetStereographic | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Stereographic

OGRErr OSRSetTM | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Transverse Mercator

OGRErr OSRSetTMG | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Tunesia Mining Grid

OGRErr OSRSetTMSO | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Transverse Mercator (South Oriented)

OGRErr OSRSetTMVariant | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszVariantName,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Transverse Mercator variant

OGRErr OSRSetVDG | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

VanDerGrinten

Generated for GDAL by 1.5.1.